Bug 484287 - Review Request: xconvers - Ham radio convers client similar to IRC for X/GTK
Review Request: xconvers - Ham radio convers client similar to IRC for X/GTK
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 16:23 EST by Randall "Randy" Berry
Modified: 2009-02-09 08:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 08:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Randall "Randy" Berry 2009-02-05 16:23:33 EST
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/xconvers.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/xconvers-0.8.3-2.fc11.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1105403

Description: 
Xconvers is a client to connect to a convers server (port 3600).
In a split-screen session you can type text into the bottom screen. The
reply from the server can be seen in the top screen.
The current version features: color support, optional saving of the session
to a logfile, history for the connect dialogue and the send widget and autologin.
Comment 1 manuel wolfshant 2009-02-05 19:47:53 EST
/usr/share/xconvers/pixmaps/
/usr/share/xconvers/
are included but are not owned

The rest seems OK, please fix that and I'll do a full review
Comment 2 Randall "Randy" Berry 2009-02-05 21:50:56 EST
Thanks Wolfy, 
Should be fixed now

Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/xconvers.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/xconvers-0.8.3-3.fc11.src.rpm
Comment 3 manuel wolfshant 2009-02-06 06:03:40 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: b9ddacd937a4f12f105242bf9b1fb7b5c62866cf xconvers_0.8.3.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [!] Final provides and requires are sane.
 => See issue 1


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch disk
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch disk
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. There is a redundant Requires: gtk+. rpmbuild picks libgtk-1.2.so.0 automatically.

=== Final Notes ===
1. Please consider adding INSTALL="install -p" to the make install line, in order to preserve the timestamps of the pixmaps.
Comment 4 Randall "Randy" Berry 2009-02-06 07:21:50 EST
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/xconvers.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/xconvers-0.8.3-4.fc11.src.rpm

* Fri Feb 6 2009 - Randall J. Berry <dp67@fedoraproject.org> - 0.8.3-4
- edit spec per review
- remove redundant require gtk+
- use INSTALL="install -p" to preserve pixmap timestamps
- use original png for icon to preserve original time stamp
Comment 5 manuel wolfshant 2009-02-06 07:52:35 EST
No more blockers. package APPROVED.
Comment 6 Randall "Randy" Berry 2009-02-06 08:11:33 EST
Thanks again Wolfy :)

New Package CVS Request
=======================
Package Name: xconvers
Short Description: Ham radio convers client similar to IRC.
Owners: dp67
Branches: F-9, F-10, devel
Comment 7 Kevin Fenzi 2009-02-08 17:14:15 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.